Name:           ukui-settings-daemon
Version:        3.0.1
Release:        1%{?dist}
Summary:        daemon handling the UKUI session settings

License:         GPL-2.0 License
URL:            https://github.com/ukui/ukui-settings-daemon
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libcanberra-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  dconf-devel
BuildRequires:  fontconfig-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  mate-desktop-devel
BuildRequires:  libmatekbd-devel
BuildRequires:  libmatemixer-devel
BuildRequires:  libnotify-devel
BuildRequires:  polkit-devel
BuildRequires:  nss-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  startup-notification-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXt-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  mate-desktop-devel
BuildRequires:  mate-utils-devel
BuildRequires:  gsettings-qt-devel

Requires: mate-common
Requires: ukui-polkit
Requires: %{name}-common%{?_isa} = %{version}-%{release}
Requires: xorg-x11-server-utils




%description
 This package contains the daemon which is responsible for setting the
 various parameters of a UKUI session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

%package common
Summary: daemon handling the UKUI session settings (common files)

%description common
 This package contains the daemon which is responsible for setting the
 various parameters of a UKUI session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.
 .
 This package contains the architecture independent files.

%prep
%setup -q

export PATH=%{_qt5_bindir}:$PATH
%{qmake_qt5} .
%{make_build}


%install
%{make_install} INSTALL_ROOT=%{buildroot}

%find_lang %name

%files
%{_bindir}
%{_sysconfdir}/xdg/autostart/ukui-settings-daemon.desktop
%{_libdir}/ukui-settings-daemon

%files common -f %name.lang
%doc debian/changelog
%license  debian/copyright
%{_datadir}/glib-2.0/schemas/
%{_datadir}/dbus-1/
%{_datadir}/ukui-settings-daemon/
